import * as React from 'react';
import './TreeItem.css';
export interface ItemProps {
    type: string;
    treeTitle?: string;
    path: number[];
    selected: boolean;
    onCopy(path: number[]): void;
    onDelete(path: number[]): void;
    onSelect(path: number[]): void;
    onReorder(sourcePath: number[], destinationPath: number[], position?: 'prepend' | 'append'): void;
    children?: React.ReactNode;
}
export declare const Item: ({ type, children, treeTitle, path, selected, onCopy, onDelete, onSelect, onReorder, }: ItemProps) => import("react/jsx-runtime").JSX.Element;
